## jquery-caret.js 0.3.1+dfsg.1

=== debian/changelog ===
jquery-caret.js (0.3.1+dfsg.1-3) unstable; urgency=medium

  * The “Wally Funk” release.

  [ Ben Finney ]
  * Update publication years for Debian packaging in copyright notices.
  * Declare conformance to “Standards-Version: 4.6.0”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * Specify settings for EditorConfig in this project.
  * Rename default Git branch in official repository, to ‘main’.
  * Update package source documentation for standard packaging tools.
  * Refine the exclusion set, to preserve the upstream source files.
  * Record upstream metadata in DEP-12 document.
  * Add simple AutoPkgTest smoke test of installed library files.
  * Mark as “superficial” those AutoPkgTest cases with no coverage.
  * Use UScan features to better specify upstream source URLs.
  * Specify the package build system does not require root privilege.
  * Build-Depends on command-line tool (not library) UglifyJS package.
    Closes: bug#979934.

  [ Pirate Praveen ]
  * Install the NodeJS package definition.
  * Symlink the library files to the NodeJS search path.
  * Declare the installed package “Provides: node-jquery.caret”.
    Closes: bug#924552.

 -- Ben Finney <bignose@debian.org>  Tue, 15 Feb 2022 16:42:56 +1100

jquery-caret.js (0.3.1+dfsg.1-2) unstable; urgency=medium

  * Upload to “unstable”.
    Closes: bug#890875. Thanks to Pirate Praveen for the report.
    Thanks to Balasankar C for the verifiable test case.
  * Use current HTTPS URL for copyright format declaration.
  * Specify current VCS for Debian packaging work.
  * Update description of source package for current VCS workflow.
  * Update Git-Buildpackage configuration for current VCS workflow.
  * Declare Debhelper compatibility level 11.
  * Move package to new “Section: javascript”.
  * Declare “Standards-Version: 4.1.3”.

 -- Ben Finney <bignose@debian.org>  Sun, 25 Feb 2018 13:16:51 +1100

jquery-caret.js (0.3.1+dfsg.1-1) experimental; urgency=medium

  * Initial Debian release.
    Closes: bug#836408. Thanks to Sergio Durigan Junior for the report.

 -- Ben Finney <bignose@debian.org>  Sat, 10 Dec 2016 22:42:15 +1100
