=== debian/control ===
Source: jquery-caret.js
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Section: javascript
Build-Depends:
    coffeescript,
    uglifyjs,
    debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/ichord/Caret.js/
VCS-Git: https://salsa.debian.org/debian/pkg-jquery-caret.js.git
VCS-Browser: https://salsa.debian.org/debian/pkg-jquery-caret.js/
Rules-Requires-Root: no

Package: libjs-jquery-caret.js
Architecture: all
Depends:
    libjs-jquery (>= 1.7.0),
    ${misc:Depends}
Recommends:
    javascript-common
Provides: node-jquery.caret (= ${source:Version})
Description: library to query input caret position
 The JavaScript library Caret.js provides an API to query the caret
 position in an HTML input field.
 .
 This package installs the runtime library.
