=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of the Debian ‘jquery-caret.js’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

JAVASCRIPT_NAMES = \
	jquery.caret

SOURCE_DIR = $(CURDIR)/src

COFFEESCRIPT_SUFFIX = .coffee

JAVASCRIPT_SUFFIX = .js
javascript_files = $(addsuffix ${JAVASCRIPT_SUFFIX},${JAVASCRIPT_NAMES})
javascript_paths = $(addprefix ${SOURCE_DIR}/,${javascript_files})
GENERATED_FILES += ${javascript_paths}

COMPILED_JAVASCRIPT_SUFFIX = .min${JAVASCRIPT_SUFFIX}
compiled_javascript_files = $(addsuffix ${COMPILED_JAVASCRIPT_SUFFIX},\
	${JAVASCRIPT_NAMES})
compiled_javascript_paths = $(addprefix ${SOURCE_DIR}/,\
	${compiled_javascript_files})
GENERATED_FILES += ${compiled_javascript_paths}

COFFEE = coffee
COFFEE_OPTS = --compile --print --map
COFFEE_REQUIRE_OPTS = $(addprefix --require , jquery)

MINIFY = uglifyjs
MINIFY_OPTS =


%:
	dh $@


.PHONY: override_dh_auto_build
override_dh_auto_build: minify-javascript

.PHONY: minify-javascript
minify-javascript: ${compiled_javascript_paths}

.PRECIOUS: ${javascript_paths}

%${COMPILED_JAVASCRIPT_SUFFIX}: %${JAVASCRIPT_SUFFIX}
	$(MINIFY) ${MINIFY_OPTS} -o "$@" "$<"

%${JAVASCRIPT_SUFFIX}: %${COFFEESCRIPT_SUFFIX}
	$(COFFEE) ${COFFEE_OPTS} ${COFFEE_REQUIRE_OPTS} "$<" > "$@"

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	$(RM) -r ${GENERATED_FILES}


# Copyright © 2008–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.
# See the file '/usr/share/common-licenses/GPL-3' for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :
