=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Test-Command:
    rhino -sandbox /usr/share/javascript/caret.js/jquery.caret.js
Restrictions: superficial
Depends:
    libjs-jquery-caret.js,
    rhino

Test-Command:
    rhino -sandbox /usr/share/javascript/caret.js/jquery.caret.min.js
Restrictions: superficial
Depends:
    libjs-jquery-caret.js,
    rhino

Test-Command:
    nodejs --check /usr/share/nodejs/jquery.caret/dist/jquery.caret.js
Restrictions: superficial
Depends:
    node-jquery.caret,
    nodejs

Test-Command:
    nodejs --check /usr/share/nodejs/jquery.caret/dist/jquery.caret.min.js
Restrictions: superficial
Depends:
    node-jquery.caret,
    nodejs


# Copyright © 2016–2022 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :
